using System;

namespace prijatelji
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] ulazi = Console.ReadLine().Split();
            int N = int.Parse(ulazi[0]);
            int M = int.Parse(ulazi[1]);
            int[] druzeljubivosti = new int[N];
            for (int i = 0; i < druzeljubivosti.Length; i++)
            {
                druzeljubivosti[i] = int.Parse(Console.ReadLine());
            }
            int[] prijatelji = new int[N];
            string[] par;
            int x;
            int y;
            for (int i = 0; i < M; i++)
            {
                par = Console.ReadLine().Split();
                x = int.Parse(par[0]) - 1;
                y = int.Parse(par[1]) - 1;
                if (druzeljubivosti[x] >= 0 && druzeljubivosti[y] >= 0)
                {
                    prijatelji[x]++;
                    prijatelji[y]++;
                }
                else if ((druzeljubivosti[x] <= 0 && druzeljubivosti[y] < 0) || (druzeljubivosti[x] < 0 && druzeljubivosti[y] <= 0))
                {
                    prijatelji[x]--;
                    prijatelji[y]--;
                }
                else if (druzeljubivosti[x] >= 0)
                {
                    if (Math.Abs(druzeljubivosti[x]) > Math.Abs(druzeljubivosti[y]))
                    {
                        prijatelji[x]++;
                        prijatelji[y]++;
                    }
                    else
                    {
                        prijatelji[x]--;
                        prijatelji[y]--;
                    }
                }
                else 
                {
                    if (Math.Abs(druzeljubivosti[x]) > Math.Abs(druzeljubivosti[y]))
                    {
                        prijatelji[x]--;
                        prijatelji[y]--;
                    }
                    else
                    {
                        prijatelji[x]++;
                        prijatelji[y]++;
                    }
                }
            }
            int sreca = 0;
            for (int i = 0; i < N; i++)
            {
                sreca += druzeljubivosti[i] * prijatelji[i];
            }
            Console.WriteLine(sreca);
        }
    }
}